#pragma once
#include "InterfaceWrapperMacro.h"

class ILogManager
{
public:
	//!	アクセスログ出力
	virtual void WriteAccessLog(LPCSTR filePath, LPCSTR log) = 0;
};
//!	インタフェース
typedef ILogManager* ILogManagerPtr;


/*!
	ラッパ
*/
class CILogManagerWrap
{
public:
	//!	色々宣言
	DEFINE_MANAGER_WRAPPER_CONSTRUCTOR(CILogManagerWrap, ILogManager, 1);

	//!	アクセスログ出力
	virtual void WriteAccessLog(CString filePath, CString log)
	{
		return m_ifPtr->WriteAccessLog(filePath, log);
	};
};
